perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From marco <marcodis...@gmail.com>
Subject Re: Install mod perl
Date Tue, 17 May 2011 18:06:06 GMT
Il 17/05/2011 20.03, Fred Moyer ha scritto:
> Try running 'perl Makefile.PL MP_APXS=/usr/local/bin/apxs'
>
> On Tue, May 17, 2011 at 11:01 AM, marco<marcodisano@gmail.com>  wrote:
>> Hi all,
>> I tried to install mod_perl in a dynamic mode in Linux 10.04 but it doesn't
>> work. The installation stops.
>> I typed:
>> $cd mod_perl-2.0.5
>> I have installed apache from source files(v2.2.18), so the next step i tried
>> is:
>> $perl Makefile.PL EVERYTHING=1 USE_APXS=1 WITH_APXS=/usr/local/apache/bin/
>> but it prints me on display this:
>>
>> Reading Makefile.PL args from @ARGV
>> no conflicting prior mod_perl version found - good.
>>
>> Next we need to know where the 'apxs' script is located. This script
>> provides a lot of information about the Apache installation, and makes
>> it easier to find things on your system. Normally it's located in the
>> same directory as the 'httpd' executable.
>>
>> If you don't yet have Apache installed you can build Apache against
>> the Apache source code, but you won't be able to run the test suite (a
>> very important step). Therefore you may want to install Apache before
>> proceeding.
>>
>>
>> Please provide a full path to 'apxs' executable
>> (press Enter if you don't have it installed):
>>
>> But I have installed yet apache and apxs.
>> apxs is located on directory /usr/local/apache/bin, so what can i do to
>> compile mod_perl.
>> What's the matter?
>>
>> Bye
>>
It prints:
*Reading Makefile.PL args from @ARGV
    MP_APXS = /usr/local/bin/apxs
no conflicting prior mod_perl version found - good.
[  error] Unable to determine server version, aborting.
[  error] Invalid MP_APXS specified?
*
Directory /usr/local/bin/ does not contains apxs.

Mime
View raw message